<div class="card mb-3" *ngFor="let article of articleList">
  <div class="card-body p-4">
    <h5 class="card-title">{{ article.title }}</h5>
    <p class="card-text">
      {{ article.body }}
    </p>
    <button
      type="button"
      class="btn btn-primary"
      (click)="showArticleModal(article)"
    >
      Edit
    </button>
  </div>
</div>

<div class="article-modal-form" *ngIf="isArticleModalShown">
  <app-article-form
    [formData]="articleFormData"
    [isOpen]="isArticleModalShown"
    (hideModal)="hideModal()"
    (submitArticle)="onSubmit($event)"
  ></app-article-form>
</div>
